### Method

# Gio ProxyAddress get_destination_protocol

since: 2.34

#### Declaration

    const gchar*
    g_proxy_address_get_destination_protocol (
      GProxyAddress* proxy
    )

#### Description

Gets the protocol that is being spoken to the destination server; eg, “http” or “ftp”.

Available since: 2.34

Gets property | `Gio.ProxyAddress:destination-protocol`

#### Return value

Type: `const gchar*`

The `proxy`‘s destination protocol.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.